Name:           eio
Version:        1.7.7
Release:        2%{?dist}
Summary:        Extension of ecore for parallel io operations
License:        LGPLv2+ GPLv2+
Group:          System Environment/Libraries
Url:            http://enlightenment.org/
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
BuildRequires:  doxygen 
BuildRequires:  ecore-devel 
BuildRequires:  libeina-devel
BuildRequires:  iputils 
BuildRequires:  zlib

%description
Enlightenment Input Output Library

%package devel
Summary:  Development files for eio
License:  LGPLv2+
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files, examples, man and HTML documentation for eio package.

%prep
%setup -q

%build
%configure                            \
            --disable-doc             \
            --disable-win32-threads   \
            --disable-notify-win32    \
            --disable-libtool-lock    \
            --disable-static          

make %{?_smp_mflags} V=1
#make doc

%install
%make_install

# copy documentation manually
#echo "Copying HTML documentation"
#mkdir -p %{buildroot}%{_docdir}/%{name}
#/bin/cp -vr doc/html %{buildroot}%{_docdir}/%{name}
#echo "Copying MAN pages"
#/bin/cp -vr doc/man/ %{buildroot}%{_mandir}/
# fix permissions
#find %{buildroot}%{_docdir} -type f | xargs chmod 0644
#find %{buildroot}%{_docdir} -type d | xargs chmod 0755
# remove duplicates

find %{buildroot} -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYING NEWS AUTHORS
%{_libdir}/libeio*so.1*
#%{_mandir}/man3/*

%files devel
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/libeio.so
#%{_docdir}/%{name}
#%{_datadir}/eio/examples

%changelog
* Fri Aug 16 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-2
- Clean up the spec file some more as devel subpackage was not installing.
- Update license

* Fri Aug 16 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.7-1
- Update to 1.7.7

* Fri Jun 07 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.6-1
- Update to 1.7.6 and clean up spec

* Fri Dec 28 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1 
- initial spec
